//  This file is part of the computer game Kartofel.
//  Copyright (C) 2009 Pawel Aleksander Fedorynski <pfedor@fuw.edu.pl>
//
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

#include <cmath>
#include <iostream>

#include "trig_table.h"
#include "util.h"

using namespace std;
using namespace kartofel;

int main(int argc, char** argv)
{
  cout << "// This file was generated by the gen_trig_tables program.\n";
  cout << "// If you compile kartofel yourself, please do not regenerate\n";
  cout << "// this file.  Please use the file provided.  The whole point\n";
  cout << "// of using pre-computed tables instead of calling sin() and\n";
  cout << "// cos() is to make the sure the results are the same for all\n";
  cout << "// users, which is necessary for the score verification code to\n";
  cout << "// work.\n";
  cout << "\nnamespace kartofel {\n\n";
  cout << "long long trig_table_sin[] = {\n";
  for (int i = 0; i < FULL_ANGLE; i++) {
    double val = sin(2 * PI * i / FULL_ANGLE);
    cout << "  " << static_cast<long long>(TRIG_TABLE_SCALE * val) << "LL,\n";
  }
  cout << "};\n\n";
  cout << "long long trig_table_cos[] = {\n";
  for (int i = 0; i < FULL_ANGLE; i++) {
    double val = cos(2 * PI * i / FULL_ANGLE);
    cout << "  " << static_cast<long long>(TRIG_TABLE_SCALE * val) << "LL,\n";
  }
  cout << "};\n\n";  
  cout << "}  // namespace kartofel\n";
}
